Bug 1021356 - Can't install lib for perl app
Can't install lib for perl app
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 03:12 EDT by Yan Du
Modified: 2015-05-14 19:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:25:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yan Du 2013-10-21 03:12:03 EDT
Description of problem:
Can't install lib for perl app


Version-Release number of selected component (if applicable):
devenv_3921
rhc-1.16.0 (build from devenv_3921)


How reproducible:
Always


Steps to Reproduce:
1. create an app
2. in local repo, echo GD > deplist.txt or echo YAML > deplist.txt
3. git push and deploy



Actual results:
step3:

root@openshift-ubuntu:~/test/perl4# git add .; git commit -amp2; git push
[master f0d9a97] p2
 Committer: root <root@openshift-ubuntu.(none)>
 1 file changed, 1 insertion(+)
Counting objects: 5, done.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 252 bytes, done.
Total 3 (delta 1), reused 0 (delta 0)
remote: Stopping Perl cartridge
remote: [Mon Oct 21 02:54:13 2013] [warn] PassEnv variable SHELL was undefined
remote: [Mon Oct 21 02:54:13 2013] [warn] PassEnv variable USER was undefined
remote: [Mon Oct 21 02:54:13 2013] [warn] PassEnv variable LOGNAME was undefined
remote: Waiting for stop to finish
remote: Building git ref 'master', commit f0d9a97
remote: Building Perl cartridge
remote: Can't write to cpanm home '/var/lib/openshift/5264cf215702a76b950000a4//.cpanm': You should fix it with chown/chmod first.
remote: An error occurred executing 'gear postreceive' (exit code: 2)
remote: Error message: Failed to execute: 'control build' for /var/lib/openshift/5264cf215702a76b950000a4/perl
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://5264cf215702a76b950000a4@perl4-dyy.dev.rhcloud.com/~/git/perl4.git/
   daab2e8..f0d9a97  master -> master



Expected results:
GD or YAML can be installed successfull
Comment 2 Hiro Asari 2013-10-21 12:07:10 EDT
That PR may be overstepping https://github.com/openshift/origin-server/commit/fbb17b410955975faf43d0ae02142165a28e22c9#diff-f892fbb85282798c1d6921dd64d2f8a9 It needs to be reviewed by Andrew Goldstein.
Comment 3 Andy Goldstein 2013-10-21 12:32:16 EDT
We're closing PR 3944 and replacing it with the one below.

We've changed the way dependency directories are created.

https://github.com/openshift/origin-server/pull/3945
Comment 4 openshift-github-bot 2013-10-21 15:08:43 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/f5c6a410f2a76802d6cf0bf4a6befdec5b6aff8b
Bug 1021356

Fix location of .cpanm directory.
Comment 5 Yan Du 2013-10-21 22:34:43 EDT
test on devenv_3925, lib can be installed successfully for perl app.

[root@Daphne perl1]# echo YAML > deplist.txt 
[root@Daphne perl1]# git add .; git commit -am change1; git push
[master 6b23665] change1
 Committer: root <root@Daphne.(none)>
 1 files changed, 1 insertions(+), 0 deletions(-)
Counting objects: 5, done.
Delta compression using up to 8 threads.
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 250 bytes, done.
Total 3 (delta 1), reused 0 (delta 0)
remote: Stopping Perl cartridge
remote: [Mon Oct 21 22:32:13 2013] [warn] PassEnv variable SHELL was undefined
remote: [Mon Oct 21 22:32:13 2013] [warn] PassEnv variable USER was undefined
remote: [Mon Oct 21 22:32:13 2013] [warn] PassEnv variable LOGNAME was undefined
remote: Waiting for stop to finish
remote: Building git ref 'master', commit 6b23665
remote: Building Perl cartridge
remote: --> Working on YAML
remote: Fetching http://mirror1.ops.rhcloud.com/mirror/perl/CPAN/authors/id/M/MS/MSTROUT/YAML-0.84.tar.gz ... OK
remote: ==> Found dependencies: ExtUtils::MakeMaker
remote: --> Working on ExtUtils::MakeMaker
remote: Fetching http://mirror1.ops.rhcloud.com/mirror/perl/CPAN/authors/id/B/BI/BINGOS/ExtUtils-MakeMaker-6.80.tar.gz ... OK
remote: Configuring ExtUtils-MakeMaker-6.80 ... OK
remote: Building ExtUtils-MakeMaker-6.80 ... OK
remote: Successfully installed ExtUtils-MakeMaker-6.80 (upgraded from 6.55_02)
remote: Configuring YAML-0.84 ... OK
remote: Building YAML-0.84 ... OK
remote: Successfully installed YAML-0.84 (upgraded from 0.70)
remote: 2 distributions installed
remote: Preparing build for deployment
remote: Prepared deployment artifacts in /var/lib/openshift/5265e3558e215305d9000001/app-deployments/2013-10-21_22-32-17.056
remote: Deployment id is 5a16c1bc
remote: Activating deployment
remote: Starting Perl cartridge
remote: Result: success
remote: Activation status: success
remote: Deployment completed with status: success
To ssh://5265e3558e215305d9000001@perl1-111.dev.rhcloud.com/~/git/perl1.git/
   4f330e6..6b23665  master -> master


move bug to verified

Note You need to log in before you can comment on or make changes to this bug.